/*
		Copyright (C) 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

		This library is free software; you can redistribute it and/or
		modify it under the terms of the GNU Lesser General Public
		License as published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option) any later version.

		This library is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

		You should have received a copy of the GNU Lesser General Public
		License along with this library; if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
		MA 02110-1301  USA.
*/

#ifndef ECHARTQMLEXTENSION_H
#define ECHARTQMLEXTENSION_H

// needed to be included to get QT_VERSION defined
#include <QtGlobal>

#if QT_VERSION >= 0x050000
#include <QQmlExtensionPlugin>
#include <QtPlugin>
#else
#include <QDeclarativeExtensionPlugin>
#endif

#if QT_VERSION >= 0x050000
class EChartQmlExtension : public QQmlExtensionPlugin
#else
class EChartQmlExtension : public QDeclarativeExtensionPlugin
#endif
{
	Q_OBJECT
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QQmlExtensionInterface")
#endif
	public:
		void registerTypes(const char *uri);
};

#endif // ECHARTQMLEXTENSION_H
