/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef TESTPLUGINSFOREMODULELISTWIDGETITEM_H
#define TESTPLUGINSFOREMODULELISTWIDGETITEM_H

#include "etesting.h"

#include <QObject>

/**
	* @brief Runs all tests, for using the plugin with EModuleListWidgetItem properly.
	*
	* It tests the properties for example.
	*/
class E_TESTING_EXPORT TestPluginForEModuleListWidgetItem : public QObject
{
	Q_OBJECT
	public:
		/**
			* @brief Tests stuff like properties and so on used be EModuleListWidgetItem.
			*
			* Call with @p testIcon = false to disable testing the icon property.
			*/
		void testPlugin(QObject *plugin, bool testIcon = true);
};

#endif // TESTPLUGINSFOREMODULELISTWIDGETITEM_H
